httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From linuxsupport <lin.supp...@gmail.com>
Subject Re: [users@httpd] Apache 2.4.2 compilation problem on CentOS 5.7
Date Sun, 24 Jun 2012 04:36:02 GMT
I removed following options and it worked well. thanks

--build=x86_64-redhat-linux-gnu --host=x86_64
--target=x86_64-redhat-linux-gnu

On Sun, Jun 24, 2012 at 2:48 AM, Rainer Jung <rainer.jung@kippdata.de>wrote:

> On 23.06.2012 07:23, linuxsupport wrote:
>
>> Hi All,
>>
>> I am trying to install Apache 2.4.2 on CentOS 5.7 but configure script
>> is failing as below
>>
>> ./configure --prefix=/usr/local/apache --enable-mpms-shared=all
>> --enable-suexec --with-suexec --with-suexec-caller=apache
>> --with-suexec-docroot=/var/www --with-suexec-uidmin=500
>> --with-suexec-gidmin=100 --enable-pie --enable-mods-shared=all
>> --enable-ssl --with-ssl --enable-socache-dc --enable-bucketeer
>> --enable-case-filter --enable-case-filter-in --disable-imagemap
>> --build=x86_64-redhat-linux-**gnu --host=x86_64
>> --target=x86_64-redhat-linux-**gnu --with-apr=/usr/local/apr
>> --with-apr-util=/usr/local/**apr-util --with-pcre=/usr
>>
>
> Why are you setting:
>
> --build=x86_64-redhat-linux-**gnu --host=x86_64
> --target=x86_64-redhat-linux-**gnu
>
> Shouldn't the right values be detected by config.guess which is run by
> configure. I'd remove those hard set values.
>
>
>  checking for chosen layout... Apache
>> checking for working mkdir -p... yes
>> checking for egrep... grep -E
>> checking build system type... x86_64-redhat-linux-gnu
>> checking host system type... x86_64-pc-none
>> checking target system type... x86_64-redhat-linux-gnu
>> .....
>> ....
>> checking for getgrnam... yes
>> checking for initgroups... yes
>> checking for bindprocessor... no
>> checking for prctl... yes
>> checking for timegm... yes
>> checking for getpgid... yes
>> checking for fopen64... yes
>> checking for void pointer length... yes
>> configure: error: Size of "void *" is less than size of "long"
>>
>>
>> gcc version 4.1.2 20080704 (Red Hat 4.1.2-52)
>> Apr version 1.4.6
>> Apr Util version 1.4.1
>> config.log is attached
>>
>
> The configure line numbers in config.log and the given autoconf version
> are not the ones contained in the original 2.4.2 configure script. It seems
> you or someone else recreated the configure script using other versions of
> the auto tools. I'd use an original source tarball coming from the ASF and
> remove the above mentioned configure flags.
>
> Regards,
>
> Rainer
>
> ------------------------------**------------------------------**---------
> To unsubscribe, e-mail: users-unsubscribe@httpd.**apache.org<users-unsubscribe@httpd.apache.org>
> For additional commands, e-mail: users-help@httpd.apache.org
>
>

Mime
View raw message